summaryrefslogtreecommitdiffstats
path: root/bin/update
diff options
context:
space:
mode:
authorJoey Hess <joeyh@debian.org>2005-08-27 17:07:18 +0000
committerJoey Hess <joeyh@debian.org>2005-08-27 17:07:18 +0000
commitbc0ef2daa8860dc2090dd9463501d67ca5b9fbe2 (patch)
tree3403ae89641f90a1cfa91651764dbea6727f3fe8 /bin/update
parent56bcde2b5db5e95886da709cca31e0a00989d864 (diff)
Moved programs into bin directory so data can be auto-updated w/o opening
any potential holes for committers who lack access to the machine running the update. AKA my paranioa finally caught up to me. Didn't move DTSA still since it will be rewritten anyway. git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@1672 e39458fd-73e7-0310-bf30-c45bca0a0e42
Diffstat (limited to 'bin/update')
-rwxr-xr-xbin/update20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/update b/bin/update
new file mode 100755
index 0000000000..3a464e9962
--- /dev/null
+++ b/bin/update
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+if [ ! -d CVE ] || [ ! -d CAN ]; then
+ echo "run in data subdirectory" >&2
+ exit 1
+fi
+
+cd CVE
+rm -f full-cve.html
+wget --quiet http://www.cve.mitre.org/cve/downloads/full-cve.html
+../../bin/updatelist full-cve.html ../DSA/list ../DTSA/list list > list.new
+mv -f list.new list
+cd ..
+
+cd CAN
+rm -f full-can.html
+wget --quiet http://www.cve.mitre.org/cve/candidates/downloads/full-can.html
+../../bin/updatelist full-can.html ../DSA/list ../DTSA/list list > list.new
+mv -f list.new list

© 2014-2024 Faster IT GmbH | imprint | privacy policy